Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class PortalRefreshProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.PortalRefreshProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

public class PortalRefreshProcessor
extends AbstractPortalProcessor

A special framework processor used to refresh the portal. This processor can be used as a destination from other webflows outside of the portal to return to the main portal page. This way normal webflows can be intermixed with portal webflow.

Constructor Summary
`PortalRefreshProcessor()`

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` The main process method invoked by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalRefreshProcessor

    public PortalRefreshProcessor()

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  The main process method invoked by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    "success"
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved